import React from "react"
import {Badge} from 'antd'

function expandedRowRenderConfig(handelGetActionSet:(v:any)=>void):any {
    return [
        {
            title: '公众号名称',
            dataIndex: 'wechatAccountName',
            align:'center',
            render:(a:any,b:any)=>{
                return b?.adAccountInfo?.wechatAccountName
            },
        },
        {
            title: '公众号ID',
            dataIndex: 'wechatAccountId',
            align:'center',
            render:(a:any,b:any)=>{
                return b?.adAccountInfo?.wechatAccountId
            }
        },
        {
            title: '数据源ID',
            dataIndex: 'userActionSetId',
            align:'center',
        },
        {
            title: '是否默认上报',
            dataIndex: 'reportDefaulted',
            with:100,
            align:'center',
            render: (a: any) => {
                return a ? <Badge status="success" text='是'/> : <Badge status="error" text='否'/>
            }
        },
        {
            title:'操作',
            dataIndex: 'cz',
            align:'center',
            render:(a:any,b:any)=>{
                return <a onClick={()=>{handelGetActionSet(b)}}>选择数据源</a>
            }
        }
    ]
}

export default expandedRowRenderConfig