import { Badge, Space } from 'antd'
import React from 'react'
const status = {
    'SUCCESS': 'processing',
    'ING': 'warning',
    'ERROR': 'error',
}
const statusDict={
    'SUCCESS': '配置成功',
    'ING': '待配置',
    'ERROR': '配置失败',
}
function indexTableConfig(lock:(a:any)=>void,wxShow:(a:any)=>void){
    return [
        {
            title: '创建时间',
            dataIndex: 'createTime',
        },
        {
            title: '企业ID',
            dataIndex: 'corpId', 
        },
        {
            title: '企业名称',
            dataIndex: 'corpName', 
        },
        {
            title: '状态',
            dataIndex: 'configStatus', 
            render:(a:any)=>{
                return <Badge status={status[a]} text={statusDict[a]} />
            }
        },
        {
            title:'操作',
            dataIndex: 'cz', 
            render:(a:any,b:any)=>{
                return <Space>
                    <a onClick={()=>{wxShow(b)}}>绑定公众号</a>
                    {//配置不成功展示配置参数弹窗操作
                        b?.configStatus !== 'SUCCESS' && <a onClick={()=>{lock(b)}}>配置参数</a>
                    }
                </Space>
            }
        }
    ]
}
export default indexTableConfig