import { Tabs } from "antd"
import React, { useState } from "react"


const WeChatAdq: React.FC = () => {

    const [radioIndex, setRadioIndex] = useState<string>('a')

    return <div className="weChat">
        <Tabs activeKey={radioIndex} className="adMonitorListTab" type="card" onChange={(activeKey: string) => {
            setRadioIndex(activeKey)
        }}>
            <Tabs.TabPane tab="计划列表" key="a">计划列表</Tabs.TabPane>
            <Tabs.TabPane tab="推广页" key="b">推广页</Tabs.TabPane>
            <Tabs.TabPane tab="创建计划" key="c">创建计划</Tabs.TabPane>
        </Tabs>
    </div>
}

export default WeChatAdq