import React from "react"
let columns = () => [
    {
        title: '商品名称',
        dataIndex: 'productName',
        key: 'productName',
        align: 'center',
        ellipsis: true,
        render: (a: any, b: any) => {
            return <span style={{ fontSize: "12px" }}>{a}</span>
        }
    },
    {
        title: '商品封面',
        dataIndex: 'productPrimaryImg',
        key: 'productPrimaryImg',
        ellipsis: true,
        align: 'center',
        render: (a: any, b: any) => {
            return <img src={a} style={{ height: 50 }} />
        }
    },
    {
        title: '描述',
        dataIndex: 'description',
        key: 'description',
        align: 'center',
        ellipsis: true,
        render: (a: any, b: any) => {
            return <span style={{ fontSize: "12px" }}>{a}</span>
        }
    },
    {
        title: '作者',
        dataIndex: 'author',
        key: 'author',
        align: 'center',
        ellipsis: true,
        render: (a: any, b: any) => {
            return <span style={{ fontSize: "12px" }}>{a}</span>
        }
    },
    {
        title: '分类',
        dataIndex: 'firstCategoryName',
        key: 'firstCategoryName',
        align: 'center',
        ellipsis: true,
        render: (a: any, b: any) => {
            return <span style={{ fontSize: "12px" }}>{b.firstCategoryName}-{b.secondCategoryName}-{b.thirdCategoryName}</span>
        }
    },
]

export default columns