import { Divider } from 'antd'
import React from 'react'
import style from './index.less'
const platformText = {
    '花生': <div className={style.platformText_box}>
        <div>
            <span><b>账号/密码：</b><span>平台账号/密码</span></span>
            <span><b>vip：</b><span>是否为平台vip账户（是|否）</span></span>
            <span><b>公众号：</b><span>当前平台下需要创建链接的公众号</span></span>
            <span><b>链接类型：</b><span>推广链接|自定义活动|赠币活动（按需要创建的链接类型选择）</span></span>
            <span><b>书名：</b><span>推广链接下选择的书籍</span></span>
            <span><b>章节：</b><span>选择书籍的第几章（填写整数例：1）</span></span>
            <span><b>推广名：</b><span>推广链接的推广名称</span></span>
            <span><b>推广成本：</b><span>推广链接的推广成本</span></span>
            <span><b>内推|外推：</b><span>内推或者外推</span></span>
            <span><b>外推下的关注章节：</b><span>选择外推时需要填写关注的章节（填写整数例：1）</span></span>
            <span><b>活动标题：</b><span>创建活动时的标题</span></span>
            <span><b>活动金额：</b><span>创建活动时的金额，赠币活动填写整数例：100书币选项填写<strong>100</strong>,自定义活动填写例：充9元多送20元选项填写<strong>9送20</strong></span></span>
            <span><b>限购类型：</b><span>整体限购 or 每天限购</span></span>
            <span><b>购买次数：</b><span>限购次数填写整数,不限填0</span></span>
            <span><b>开始/结束时间：</b><span>活动时间格式 2021/04/20 00:00:00</span></span>
            <span><b>上架/下架：</b><span>活动上下架选项</span></span>
            <span><b>显示/隐藏：</b><span>是否在阅读页显示</span></span>
            <span><b>开启/关闭：</b><span>弹窗状态</span></span>
            <span><b>弹窗开启位置：</b><span>填<strong>全部</strong>为全选，或者选填<strong>首页，最近阅读，个人中心，书库</strong>可多选以逗号隔开</span></span>
            <span><b>模板序号：</b><span>填写整数第一个填<strong>1</strong>不能填平台不存在的模板位置，从左往右数数</span></span>
            <span><b>备注：</b><span>自定义活动和赠币活动的备注</span></span>
            <Divider plain>客服消息字段（选填，不填只创建链接）</Divider>
            <span><b>任务名称：</b><span>创建的任务名称</span></span>
            <span><b>公众号列表：</b><span>本次创建的客服消息可批量为多个公众号创建，<strong>滔天文海，龙天书涯</strong>多个以，隔开</span></span>
            <span><b>时间类型：</b><span>特定时间，每周，每日选择</span></span>
            <span><b>发送时间：</b><span>特定时间<strong>2021/04/20 00:00:00</strong>,每周，每日<strong>17:00</strong>。按时间类型填写对应格式</span></span>
            <span><b>客服标题：</b><span>创建的客服标题</span></span>
            <span><b>客服描述：</b><span>创建的客服描述</span></span>
            <span><b>缩略图编号：</b><span>在本地素材库中的对应素材编号，点击可复制过来，例<strong>IMAGE_0000001145</strong>。目前支持填写<strong>图片文件夹(随机文件夹内的图片)，图片</strong>编号</span></span>
        </div>
    </div>,
    '阅文': <div className={style.platformText_box}>
        <div>
            <span><b>账号/密码：</b><span>平台账号/密码</span></span>
            <span><b>vip：</b><span>是否为平台vip账户（是|否）</span></span>
            <span><b>公众号：</b><span>当前平台下需要创建链接的公众号</span></span>
            <span><b>链接类型：</b><span>推广链接|常规活动|模板充值活动|模板赠送活动|模板消耗活动（按需要创建的链接类型选择）</span></span>
            <span><b>书名：</b><span>推广链接下选择的书籍</span></span>
            <span><b>章节：</b><span>选择书籍的第几章（填写整数例：1）</span></span>
            <span><b>推广名：</b><span>推广链接的推广名称</span></span>
            <span><b>推广成本：</b><span>推广链接的推广成本</span></span>
            <span><b>内推|外推：</b><span>内推或者外推</span></span>
            <span><b>外推下的关注章节：</b><span>选择外推时需要填写关注的章节（填写整数例：1）</span></span>
            <span><b>强关设置：</b><span>默认主动关注可选项：主动关注|不设置强关</span></span>
            <span><b>是否添加底部关注引导：</b><span>是|否</span></span>
            <span><b>活动名称：</b><span>活动名称：</span></span>
            <span><b>活动礼物：</b><span>创建活动时的金额：<strong>常规活动无需填写</strong>。模板赠送活动例：<strong>1,5 表示赠送档位栏选择第一个选项,名额配置为5个名额</strong>,模板充值例：<strong>18,1000 表示充值档位为18元，赠送1000书卷</strong>,模板消耗例：<strong>20,500,2 表示购买章节数量20，赠送500书卷，名额2</strong></span></span>
            <span><b>充值次数：</b><span>限购次数填写整数</span></span>
            <span><b>开始/结束时间：</b><span>活动时间格式 2021/04/20 00:00:00</span></span>
            <span><b>上架/下架：</b><span>活动上下架选项</span></span>
            <span><b>显示/隐藏：</b><span>是否在阅读页显示</span></span>
            <span><b>开启/关闭：</b><span>弹窗状态</span></span>
            <span><b>弹窗开启位置：</b><span>选填<strong>最近阅读,男生,女生,个人中心,分类,免费,完本</strong>可多选以逗号隔开</span></span>
            <span><b>是否显示活动时间：</b><span>模板充值活动必填项 是|否</span></span>
            <span><b>是否开启客服消息推送：</b><span>常规活动必填项 是|否</span></span>
            <Divider plain>客服消息字段（选填，不填只创建链接）</Divider>
            <span><b>任务名称：</b><span>创建的任务名称</span></span>
            <span><b>公众号列表：</b><span>本次创建的客服消息可批量为多个公众号创建，<strong>滔天文海，龙天书涯</strong>多个以，隔开</span></span>
            <span><b>时间类型：</b><span>特定时间，每周，每日选择</span></span>
            <span><b>发送时间：</b><span>特定时间<strong>2021/04/20 00:00:00</strong>,每周，每日<strong>17:00</strong>。按时间类型填写对应格式</span></span>
            <span><b>客服标题：</b><span>创建的客服标题</span></span>
            <span><b>客服描述：</b><span>创建的客服描述</span></span>
            <span><b>缩略图编号：</b><span>在本地素材库中的对应素材编号，点击可复制过来，例<strong>IMAGE_0000001145</strong>。目前支持填写<strong>图片文件夹(随机文件夹内的图片)，图片</strong>编号</span></span>
        </div>
    </div>,
    '阳光': <div className={style.platformText_box}>
        <div>
            <span><b>账号/密码：</b><span>平台账号/密码</span></span>
            <span><b>vip：</b><span>是否为平台vip账户（是|否）</span></span>
            <span><b>公众号：</b><span>当前平台下需要创建链接的公众号</span></span>
            <span><b>链接类型：</b><span>推广链接|自定义活动|赠币活动（按需要创建的链接类型选择）</span></span>
            <span><b>书名：</b><span>推广链接下选择的书籍</span></span>
            <span><b>章节：</b><span>选择书籍的第几章（填写整数例：1）</span></span>
            <span><b>推广名：</b><span>推广链接的推广名称</span></span>
            <span><b>推广成本：</b><span>推广链接的推广成本</span></span>
            <span><b>内推|外推：</b><span>内推或者外推</span></span>
            <span><b>外推下的关注章节：</b><span>选择外推时需要填写关注的章节（填写整数例：1）</span></span>
            <span><b>活动标题：</b><span>对应阳光仅前台展示，且前端活动页面标题取活动标题配置</span></span>
            <span><b>活动名称：</b><span>对应阳光仅后台展示</span></span>
            <span><b>活动金额：</b><span>创建活动时的金额，赠币活动填写整数例：100书币选项填写<strong>100</strong>,自定义活动填写例：充9元多送20元选项填写<strong>9送20</strong></span></span>
            <span><b>购买次数：</b><span>限购次数填写整数</span></span>
            <span><b>开始/结束时间：</b><span>活动时间格式 2021/04/20 00:00:00</span></span>
            <span><b>上架/下架：</b><span>活动上下架选项</span></span>
            <span><b>显示/隐藏：</b><span>是否在阅读页显示</span></span>
            <span><b>开启/关闭：</b><span>弹窗状态</span></span>
            <span><b>弹窗开启位置：</b><span>选填<strong>最近阅读,男生,女生,个人中心,分类,免费,完本</strong>可多选以逗号隔开</span></span>
            <span><b>模板序号：</b><span>填写整数第一个填<strong>1</strong>不能填平台不存在的模板位置，从左往右数数</span></span>
            <span><b>备注：</b><span>自定义活动和赠币活动的备注</span></span>
            <span><b>接收用户：</b><span>全部用户|已充值用户|未充值用户（单选）</span></span>
            <Divider plain>客服消息字段（选填，不填只创建链接）</Divider>
            <span><b>任务名称：</b><span>创建的任务名称</span></span>
            <span><b>公众号列表：</b><span>本次创建的客服消息可批量为多个公众号创建，<strong>滔天文海，龙天书涯</strong>多个以，隔开</span></span>
            <span><b>时间类型：</b><span>特定时间，每周，每日选择</span></span>
            <span><b>发送时间：</b><span>特定时间<strong>2021/04/20 00:00:00</strong>,每周，每日<strong>17:00</strong>。按时间类型填写对应格式</span></span>
            <span><b>客服标题：</b><span>创建的客服标题</span></span>
            <span><b>客服描述：</b><span>创建的客服描述</span></span>
            <span><b>缩略图编号：</b><span>在本地素材库中的对应素材编号，点击可复制过来，例<strong>IMAGE_0000001145</strong>。目前支持填写<strong>图片文件夹(随机文件夹内的图片)，图片</strong>编号</span></span>
        </div>
    </div>,
    '文鼎': <div className={style.platformText_box}>
        <div>
            <span><b>账号/密码：</b><span>平台账号/密码</span></span>
            <span><b>vip：</b><span>是否为平台vip账户（是|否）</span></span>
            <span><b>公众号：</b><span>当前平台下需要创建链接的公众号</span></span>
            <span><b>链接类型：</b><span>推广链接|自定义活动|赠币活动（按需要创建的链接类型选择）</span></span>
            <h2 style={{ textAlign: 'center' }}>推广链接</h2>
            <span><b>书名：</b><span>推广链接下选择的书籍</span></span>
            <span><b>章节：</b><span>选择书籍的第几章（填写整数例：1）</span></span>
            <span><b>推广名：</b><span>推广链接的推广名称</span></span>
            <span><b>内推|外推：</b><span>内推或者外推</span></span>
            <span><b>二维码展示：</b><span>只在外推下生效</span></span>
            <span>
                <b>关注类型：</b>
                <span>强制二维码：强制二维码出现在「关注」章节，用户不关注公众号则无法继续阅读。（同时在每章节底部会默认显示常规关注二维码）。<br />
                非强制二维码：非强制二维码出现在「关注」章节，用户可点击「跳过继续阅读」按钮继续阅读下去。（同时在每章节底部会默认显示常规关注二维码）。<br />
                常规关注二维码：常规关注二维码出现在每个章节底部，不强制用户关注，但是用户可以选择主动关注。<br />
                    <strong>（注：在外推并开启二维码展示有效）</strong>
                </span>
            </span>
            <h2 style={{ textAlign: 'center' }}>自定义活动与赠币活动</h2>
            <span><b>活动标题：</b><span>活动标题自定义活动有效</span></span>
            <span><b>活动名称：</b><span>保持活动名称唯一性</span></span>
            <span><b>活动金额：</b><span>
                <strong>自定义活动：</strong>5-2-4（表示充值5元送2元红包，4代表每天限购1次，第三位数字表示限购次数，分别有1，2，3，4最多4个选项，除了4是每天限购一次，1，2，3就是字面意思限购次数,请参阅文鼎自定义活动！)<br />
                <strong>赠送红包活动：</strong>50-100-5（表示赠送红包数量50个，赠送红包金额100，红包有效期5天）
            </span>
            </span>
            <span><b>开始/结束时间：</b><span>活动时间格式 2021/04/20 00:00:00</span></span>
            <span><b>活动位置：</b><span>选填,书城首页顶部|全屏充值页顶部|阅读历史页顶部 )三个选项可多选以|隔开，自定义活动有效</span></span>
            <span><b>活动图片：</b><span>2-5,(表示第二页从左往右数第5张图，具体请查看文鼎自定义活动活动图片)，自定义活动有效</span></span>
            <span><b>目标用户：</b><span>自定义活动有效</span></span>
            <span><b>充值类型：</b><span>自定义活动有效并且目标用户为标签用户，不填默认不限</span></span>
            <span><b>是否包年用户：</b><span>自定义活动有效并且目标用户为标签用户，不填默认不限</span></span>
            <span><b>注册时间：</b><span>自定义活动有效并且目标用户为标签用户，不填默认不限</span></span>
            <Divider plain>客服消息字段（选填，不填只创建链接）</Divider>
            <span><b>任务名称：</b><span>创建的任务名称</span></span>
            <span><b>公众号列表：</b><span>本次创建的客服消息可批量为多个公众号创建，<strong>滔天文海，龙天书涯</strong>多个以，隔开</span></span>
            <span><b>时间类型：</b><span>特定时间，每周，每日选择</span></span>
            <span><b>发送时间：</b><span>特定时间<strong>2021/04/20 00:00:00</strong>,每周，每日<strong>17:00</strong>。按时间类型填写对应格式</span></span>
            <span><b>客服标题：</b><span>创建的客服标题</span></span>
            <span><b>客服描述：</b><span>创建的客服描述</span></span>
            <span><b>缩略图编号：</b><span>在本地素材库中的对应素材编号，点击可复制过来，例<strong>IMAGE_0000001145</strong>。目前支持填写<strong>图片文件夹(随机文件夹内的图片)，图片</strong>编号</span></span>
        </div>,
    </div>,
    '掌中云': <div className={style.platformText_box}>
        <div>
            <span><b>API_Key：</b><span>在掌中云VIP页面点击接口密钥管理获取</span></span>
            <span><b>API_Secret：</b><span>在掌中云VIP页面点击接口密钥管理获取</span></span>
            <Divider plain>客服消息字段（选填，不填只创建链接）</Divider>
            <span><b>任务名称：</b><span>创建的任务名称</span></span>
            <span><b>公众号列表：</b><span>本次创建的客服消息可批量为多个公众号创建，<strong>滔天文海，龙天书涯</strong>多个以，隔开</span></span>
            <span><b>时间类型：</b><span>特定时间，每周，每日选择</span></span>
            <span><b>发送时间：</b><span>特定时间<strong>2021/04/20 00:00:00</strong>,每周，每日<strong>17:00</strong>。按时间类型填写对应格式</span></span>
            <span><b>客服标题：</b><span>创建的客服标题</span></span>
            <span><b>客服描述：</b><span>创建的客服描述</span></span>
            <span><b>缩略图编号：</b><span>在本地素材库中的对应素材编号，点击可复制过来，例<strong>IMAGE_0000001145</strong>。目前支持填写<strong>图片文件夹(随机文件夹内的图片)，图片</strong>编号</span></span>
        </div>,
</div>
}

export default platformText