import { PlusOutlined } from "@ant-design/icons"
import React from "react"
import { FormConfig } from '@/components/Formitem/type'

let config = (fnc: () => void, seek: (platformName: string) => void): FormConfig[] => [
    {
        label: '平台名称',
        tag: 'inputSearch',
        name: 'reboot_id',
        children: [{ value: '1', text: '全部分组' }],
        change: true,
        width: 200,
        callback: seek
    },
    {
        label: '添加',
        icon: <PlusOutlined />,
        tag: 'button',
        htmlType: 'button',
        btnType: 'primary',
        name: 'zx',
        callback: fnc
    }
]

export default config