import { FormConfig } from '@/components/Formitem/type'
let formConfig = (selectData: any) : FormConfig[]  => [
    {
        label: '期数',
        tag: 'select',
        name: 'periodId',
        change: true,
        required: true,
        children: selectData
    },
    {
        label: 'VIP账号',
        tag: 'input',
        name: 'account',
        change: true,
        required: true
    },
    {
        label: '密码',
        tag: 'input',
        name: 'password',
        change: true
    },
    {
        label: '开户名称',
        tag: 'input',
        name: 'principalName',
        change: true,
        required: false
    },
    {
        label: '开户行',
        tag: 'input',
        name: 'bankName',
        change: true,
        required: false
    },
    {
        label: '银行账号',
        tag: 'input',
        name: 'bankAccount',
        change: true,
        required: false
    },
    {
        label: '分成',
        tag: 'input',
        name: 'formulaDivided',
        change: true,
        required: false
    },
    {
        label: '网址',
        tag: 'input',
        name: 'link',
        change: true,
        required: false
    },
    {
        label: '开户时间',
        tag: 'DatePicker',
        name: 'registerDay',
        change: true,
        required: false
    },
    {
        label: '备注',
        tag: 'TextArea',
        name: 'remark',
        change: true,
        placeholder: '请输入不少于十个字的备注',
        required: false,
        rows: 2,
        Rule: { min: 5, type: 'string' }
    },
]

export default formConfig