import { PlusOutlined } from "@ant-design/icons"
import React from "react"
import { FormConfig } from '@/components/Formitem/type'

let config = (fnc: () => void): FormConfig[] => [
    {
        label: '添加',
        icon: <PlusOutlined />,
        tag: 'button',
        htmlType: 'button',
        btnType: 'primary',
        name: 'zx',
        callback: fnc
    }
]

export default config