import React from 'react'
import ContentPage from './components/Content'
import style from './index.less'
import GzhMenu from '@/components/gzhMenu'
import { useModel } from 'umi'
import NoFoundPage from '@/pages/empty'
import HocError from '@/Hoc/HocError'
function WeChat() {
    const { actionWX } = useModel('useOperating.useWxGroupList', model => ({ actionWX: model.state.actionWX }))
    return <>
        {
            actionWX ? <div className={style.colud}>
                <GzhMenu h={600}/>
                <ContentPage />
            </div> : <NoFoundPage />
        }
    </>
}

export default HocError(WeChat)