import { FormConfig } from '@/components/Formitem/type'
let formConfig: FormConfig[] = [
    {
        label: '平台名称',
        tag: 'input',
        name: 'platformName',
        change: true,
        required: true
    },
    {
        label: '平台联系人',
        tag: 'input',
        name: 'contactName',
        change: true,
        required: false
    },
    {
        label: '平台联系人手机号',
        tag: 'input',
        name: 'contactPhone',
        change: true,
        required: false
    },
    {
        label: '访问网址',
        tag: 'input',
        name: 'link',
        change: true,
        required: false
    },
    {
        label: '备注',
        tag: 'TextArea',
        name: 'remark',
        change: true,
        width: 200,
        placeholder: '请输入不少于十个字的备注',
        required: false,
        rows: 5,
        Rule: { min: 10, type: 'string' }
    },
]

export default formConfig