import React from 'react'
import { ColumnsType, ColumnProps } from 'antd/lib/table'
export const columns: ColumnProps<ColumnsType>[] = [
    {
        title: '渠道',
        dataIndex: 'key',
        key: 'key',
        render: (text: string) => <a>{text} </a>,
    },
    {
        title: '关注量',
        dataIndex: 'value',
        key: 'value',
        sorter: (a: any, b: any) => a.age - b.age
    },
    {
        title: '专注占比',
        dataIndex: 'percentage',
        key: 'percentage',
        render: (a) => (a * 100).toFixed(1) + '%'
    },
];