import React from 'react'
import OperateHeader from './components/OperateHeader'
import Gzh from './components/Gzh'
import { useModel } from 'umi'
import NoFoundPage from '@/pages/empty'
import HocError from '@/Hoc/HocError'
function Operate() {
    const { actionWX } = useModel('useOperating.useWxGroupList', model => ({ actionWX: model.state.actionWX }))
    return <>
        {
            actionWX ? <>
                <OperateHeader />
                <Gzh />
            </> : <NoFoundPage />
        }
    </>
}

export default HocError(Operate)